get
https://partner.gupshup.io/partner/bizgate/app//flows//preview
Returns a short-lived URL that renders a live preview of a WhatsApp Flow so it can be walked through without sending it to a real user.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| flowId | Identifier of the WhatsApp Flow. | 1616289422261049 | String | Required |
Sample cURL — Get flow preview URL.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/flows/1616289422261049/preview' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"id": "1616289422261049",
"preview": {
"expires_at": "2024-07-21T10:15:47+0000",
"preview_url": "https://business.facebook.com/wa/manage/flows/1616289422261049/preview/?token=fe2fa8b0-86bf-4d53-a6c3-eec4085ab48b"
}
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…